## GVirConfigStoragePool

GVirConfigStoragePool

## Functions

GVirConfigStoragePool * | gvir_config_storage_pool_new ()
GVirConfigStoragePool * | gvir_config_storage_pool_new_from_xml ()
guint64 | gvir_config_storage_pool_get_allocation ()
void | gvir_config_storage_pool_set_allocation ()
guint64 | gvir_config_storage_pool_get_available ()
void | gvir_config_storage_pool_set_available ()
guint64 | gvir_config_storage_pool_get_capacity ()
void | gvir_config_storage_pool_set_capacity ()
const char * | gvir_config_storage_pool_get_name ()
void | gvir_config_storage_pool_set_name ()
GVirConfigStoragePoolType | gvir_config_storage_pool_get_pool_type ()
void | gvir_config_storage_pool_set_pool_type ()
GVirConfigStoragePoolSource * | gvir_config_storage_pool_get_source ()
void | gvir_config_storage_pool_set_source ()
GVirConfigStoragePoolTarget * | gvir_config_storage_pool_get_target ()
void | gvir_config_storage_pool_set_target ()
const char * | gvir_config_storage_pool_get_uuid ()
void | gvir_config_storage_pool_set_uuid ()

## Types and Values

struct | GVirConfigStoragePool
struct | GVirConfigStoragePoolClass
enum | GVirConfigStoragePoolType
| GVirConfigStoragePoolPrivate

## Object Hierarchy

        GObject
        ╰── GVirConfigObject
            ╰── GVirConfigStoragePool

## Description

## Functions

### gvir_config_storage_pool_new ()

    GVirConfigStoragePool *
    gvir_config_storage_pool_new (void);

### gvir_config_storage_pool_new_from_xml ()

    GVirConfigStoragePool *
    gvir_config_storage_pool_new_from_xml (const gchar *xml,
                                           GError **error);

### gvir_config_storage_pool_get_allocation ()

    guint64
    gvir_config_storage_pool_get_allocation
                                   (GVirConfigStoragePool *pool);

Gets the total storage allocation for the pool.

#### Parameters

pool | a GVirConfigStoragePool |

#### Returns

total storage allocation in bytes.

### gvir_config_storage_pool_set_allocation ()

    void
    gvir_config_storage_pool_set_allocation
                                   (GVirConfigStoragePool *pool,
                                    guint64 allocation);

### gvir_config_storage_pool_get_available ()

    guint64
    gvir_config_storage_pool_get_available
                                   (GVirConfigStoragePool *pool);

Gets the free space available for allocating new volumes in the pool.

#### Parameters

pool | a GVirConfigStoragePool |

#### Returns

free space available in bytes.

### gvir_config_storage_pool_set_available ()

    void
    gvir_config_storage_pool_set_available
                                   (GVirConfigStoragePool *pool,
                                    guint64 available);

### gvir_config_storage_pool_get_capacity ()

    guint64
    gvir_config_storage_pool_get_capacity (GVirConfigStoragePool *pool);

Gets the total storage capacity for the pool.

#### Parameters

pool | a GVirConfigStoragePool |

#### Returns

total storage capacity in bytes.

### gvir_config_storage_pool_set_capacity ()

    void
    gvir_config_storage_pool_set_capacity (GVirConfigStoragePool *pool,
                                           guint64 capacity);

### gvir_config_storage_pool_get_name ()

    const char *
    gvir_config_storage_pool_get_name (GVirConfigStoragePool *pool);

Gets the name of the pool.

#### Parameters

pool | a GVirConfigStoragePool |

#### Returns

name of `pool` .

### gvir_config_storage_pool_set_name ()

    void
    gvir_config_storage_pool_set_name (GVirConfigStoragePool *pool,
                                       const char *name);

#### Parameters

name | . | [allow-none]

### gvir_config_storage_pool_get_pool_type ()

    GVirConfigStoragePoolType
    gvir_config_storage_pool_get_pool_type
                                   (GVirConfigStoragePool *pool);

Gets the type of the pool.

#### Parameters

pool | a GVirConfigStoragePool |

#### Returns

Gname of `pool` .

### gvir_config_storage_pool_set_pool_type ()

    void
    gvir_config_storage_pool_set_pool_type
                                   (GVirConfigStoragePool *pool,
                                    GVirConfigStoragePoolType type);

### gvir_config_storage_pool_get_source ()

    GVirConfigStoragePoolSource *
    gvir_config_storage_pool_get_source (GVirConfigStoragePool *pool);

Gets the source for `pool`

#### Parameters

pool | a GVirConfigStoragePool |

#### Returns

a new GVirConfigStoragePoolSource instance.

[transfer full]

### gvir_config_storage_pool_set_source ()

    void
    gvir_config_storage_pool_set_source (GVirConfigStoragePool *pool,
                                         GVirConfigStoragePoolSource *source);

#### Parameters

source | . | [allow-none]

### gvir_config_storage_pool_get_target ()

    GVirConfigStoragePoolTarget *
    gvir_config_storage_pool_get_target (GVirConfigStoragePool *pool);

Gets the target for `pool`

#### Parameters

pool | a GVirConfigStoragePool |

#### Returns

a new GVirConfigStoragePoolTarget instance.

[transfer full]

### gvir_config_storage_pool_set_target ()

    void
    gvir_config_storage_pool_set_target (GVirConfigStoragePool *pool,
                                         GVirConfigStoragePoolTarget *target);

#### Parameters

target | . | [allow-none]

### gvir_config_storage_pool_get_uuid ()

    const char *
    gvir_config_storage_pool_get_uuid (GVirConfigStoragePool *pool);

Gets the unique identifier for `pool` .

#### Parameters

pool | a GVirConfigStoragePool |

#### Returns

unique identifier for `pool` .

### gvir_config_storage_pool_set_uuid ()

    void
    gvir_config_storage_pool_set_uuid (GVirConfigStoragePool *pool,
                                       const char *uuid);

#### Parameters

uuid | . | [allow-none]

## Types and Values

### struct GVirConfigStoragePool

    struct GVirConfigStoragePool;

### struct GVirConfigStoragePoolClass

    struct GVirConfigStoragePoolClass {
        GVirConfigObjectClass parent_class;

        gpointer padding[20];
    };

### enum GVirConfigStoragePoolType

#### Members

GVIR_CONFIG_STORAGE_POOL_TYPE_DIR |  |
GVIR_CONFIG_STORAGE_POOL_TYPE_FS |  |
GVIR_CONFIG_STORAGE_POOL_TYPE_NETFS |  |
GVIR_CONFIG_STORAGE_POOL_TYPE_LOGICAL |  |
GVIR_CONFIG_STORAGE_POOL_TYPE_DISK |  |
GVIR_CONFIG_STORAGE_POOL_TYPE_ISCSI |  |
GVIR_CONFIG_STORAGE_POOL_TYPE_SCSI |  |
GVIR_CONFIG_STORAGE_POOL_TYPE_MPATH |  |

### GVirConfigStoragePoolPrivate

    typedef struct _GVirConfigStoragePoolPrivate GVirConfigStoragePoolPrivate;